MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027241Open CASCADE[OCCT] OCCT:Application Frameworkpublic2016-03-09 19:382016-04-20 15:50
Reportermyn 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027241: Create a complete test case to verify reading of all attribute types from MDTV-Standard document
DescriptionSince reading of MDTV-Standard documents has been re-implemented in scope of 0026961, a complete test case is needed to verify that all attribute types are read correctly.
Steps To ReproduceThe new test (caf bugs D2) along with some fixes is pushed to CR27241 (based on several unrelated other commits), please review
TagsNo tags attached.
Test case numbercaf bugs D2
Attached Files? file icon ocaf_all_attributes.std (11,645 bytes) 2016-03-15 16:31

- Relationships
related to 0026961closedabv Recover possibility to read files in old persistence format 

-  Notes
(0051653)
git (administrator)
2016-03-15 16:20

Branch CR27241 has been created by abv.

SHA-1: 01726dac4852d53e4e04d17c957c9c0ecab29ce7


Detailed log of new commits:

Author: myn
Date: Fri Mar 11 22:08:01 2016 +0300

    0027241: Create a complete test case to verify reading of all attribute types from MDTV-Standard document
    
    Added test case that works in one of two modes:
    1) create synthetic document (in old version of OCCT) containing all possible attributes.
    2) open the document and compare all attributes with expected values.
    
    Fixed reading of TDataStd_NamedData, TDataXtd_PatternStd, and PColStd_HArray2OfReal.
    Point and curve representations are created even from NULL geometry handles.
    The code is simplified by abandoning usage of templates from StdObjMgt_ContentTypes class for persistent data elements.
    
    Fixed SetAsciiString Draw command failed when the target label contained NamedData attribute.
(0051705)
mkv (tester)
2016-03-16 15:00

Dear BugMaster,
Branch CR27241 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 01726dac4852d53e4e04d17c957c9c0ecab29ce7

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 41 (41 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27241-master-occt-64/Debian70-64/caf/bugs/D2.html [^]
http://occt-tests/CR27241-master-occt-64/Windows-64-VC10/caf/bugs/D2.html [^]
caf bugs D2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 89716150 / 91000642 [-1.41%]
Total CPU difference: 18894.629999999866 / 19490.230000000163 [-3.06%]
products component :
Total MEMORY difference: 25943892 / 25908972 [+0.13%]
Total CPU difference: 5339.469999999987 / 5284.629999999986 [+1.04%]

Testing on Windows:
occt component :
Total MEMORY difference: 57949808 / 57499309 [+0.78%]
Total CPU difference: 18098.768016998954 / 18318.71382689877 [-1.20%]
products component :
Total MEMORY difference: 17645099 / 17509364 [+0.78%]
Total CPU difference: 5000.846056499948 / 5140.076948999954 [-2.71%]

There are no differences in images found by testdiff
(0051706)
git (administrator)
2016-03-16 15:01

Branch CR27241 has been updated by mkv.

SHA-1: f84ca5a2a7c3d3de2fc2afd31940c8997f48715c


Detailed log of new commits:

Author: mkv
Date: Wed Mar 16 15:01:46 2016 +0300

    Small correction of test case for issue CR27241

(0051707)
mkv (tester)
2016-03-16 15:02

Dear BugMaster,
Branch CR27241 is TESTED.
(0052913)
git (administrator)
2016-04-17 13:40

Branch CR27241 has been deleted by kgv.

SHA-1: f84ca5a2a7c3d3de2fc2afd31940c8997f48715c

- Related Changesets
occt: master 45d8465e
Timestamp: 2016-03-11 19:08:01
Author: abv
Committer: abv
Details ] Diff ]
0027241: Create a complete test case to verify reading of all attribute types from MDTV-Standard document

Added test case that works in one of two modes:
1) create synthetic document (in old version of OCCT) containing all possible attributes.
2) open the document and compare all attributes with expected values.

Fixed reading of TDataStd_NamedData, TDataXtd_PatternStd, and PColStd_HArray2OfReal.
Point and curve representations are created even from NULL geometry handles.
The code is simplified by abandoning usage of templates from StdObjMgt_ContentTypes class for persistent data elements.

Fixed SetAsciiString Draw command failed when the target label contained NamedData attribute.
mod - adm/UDLIST Diff ] File ]
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/ShapePersistent/FILES Diff ] File ]
mod - src/ShapePersistent/ShapePersistent.cxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_BRep.cxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_BRep.hxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_Geom.cxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_Geom.hxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_Geom2d_Curve.hxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_Geom_Curve.hxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_Geom_Surface.hxx Diff ] File ]
rm - src/ShapePersistent/ShapePersistent_HArray1.cxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_HArray1.hxx Diff ] File ]
rm - src/ShapePersistent/ShapePersistent_HArray2.cxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_HArray2.hxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_HSequence.hxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_Poly.hxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_TopoDS.cxx Diff ] File ]
mod - src/ShapePersistent/ShapePersistent_TopoDS.hxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
rm - src/StdLObject/FILES Diff ] File ]
rm - src/StdLObject/StdLObject_GUID.cxx Diff ] File ]
rm - src/StdLObject/StdLObject_GUID.hxx Diff ] File ]
mod - src/StdLPersistent/FILES Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Collection.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Collection.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Data.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Data.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Dependency.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Document.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Function.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_HArray1.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_HArray1.hxx Diff ] File ]
rm - src/StdLPersistent/StdLPersistent_HArray1OfPersistent.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_HArray2.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_HArray2.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_HString.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_NamedData.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_NamedData.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Real.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_TreeNode.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Value.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Variable.hxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_XLink.hxx Diff ] File ]
mod - src/StdObject/FILES Diff ] File ]
rm - src/StdObject/StdObject_gp.hxx Diff ] File ]
add - src/StdObject/StdObject_gp_Axes.hxx Diff ] File ]
add - src/StdObject/StdObject_gp_Curves.hxx Diff ] File ]
add - src/StdObject/StdObject_gp_Surfaces.hxx Diff ] File ]
add - src/StdObject/StdObject_gp_Trsfs.hxx Diff ] File ]
add - src/StdObject/StdObject_gp_Vectors.hxx Diff ] File ]
mod - src/StdObject/StdObject_Location.cxx Diff ] File ]
mod - src/StdObject/StdObject_Location.hxx Diff ] File ]
mod - src/StdObject/StdObject_Shape.cxx Diff ] File ]
mod - src/StdObject/StdObject_Shape.hxx Diff ] File ]
mod - src/StdObjMgt/FILES Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_Attribute.hxx Diff ] File ]
rm - src/StdObjMgt/StdObjMgt_ContentTypes.hxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_Persistent.hxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_ReadData.cxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_ReadData.hxx Diff ] File ]
mod - src/StdObjMgt/StdObjMgt_SharedObject.hxx Diff ] File ]
mod - src/StdPersistent/FILES Diff ] File ]
mod - src/StdPersistent/StdPersistent_DataXtd.cxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_DataXtd.hxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_DataXtd_Constraint.cxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_DataXtd_Constraint.hxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_DataXtd_PatternStd.cxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_DataXtd_PatternStd.hxx Diff ] File ]
rm - src/StdPersistent/StdPersistent_HArray1.cxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_HArray1.hxx Diff ] File ]
rm - src/StdPersistent/StdPersistent_HArray1OfShape1.hxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_Naming.cxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_Naming.hxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_PPrsStd.hxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_TopLoc.cxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_TopLoc.hxx Diff ] File ]
mod - src/StdPersistent/StdPersistent_TopoDS.hxx Diff ] File ]
mod - src/TKStdL/PACKAGES Diff ] File ]
add - tests/caf/bugs/D2 Diff ] File ]
mod - tests/parse.rules Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-09 19:38 myn New Issue
2016-03-09 19:38 myn Assigned To => mpv
2016-03-09 19:40 myn Relationship added related to 0026961
2016-03-09 19:44 myn Summary Create a complete test to verify reading of all attribute types from MDTV-Standard document => Create a complete test case to verify reading of all attribute types from MDTV-Standard document
2016-03-09 19:44 myn Description Updated View Revisions
2016-03-10 15:42 mpv Assigned To mpv => myn
2016-03-12 14:08 abv Status new => assigned
2016-03-15 16:20 git Note Added: 0051653
2016-03-15 16:31 abv File Added: ocaf_all_attributes.std
2016-03-15 17:06 abv Assigned To myn => mpv
2016-03-15 17:06 abv Status assigned => resolved
2016-03-15 17:06 abv Steps to Reproduce Updated View Revisions
2016-03-15 17:06 abv Test case number => caf bugs D2
2016-03-15 17:06 abv Target Version 7.1.0 => 7.0.0
2016-03-15 17:43 mpv Assigned To mpv => bugmaster
2016-03-15 17:43 mpv Status resolved => reviewed
2016-03-15 18:04 mkv Assigned To bugmaster => mkv
2016-03-16 15:00 mkv Note Added: 0051705
2016-03-16 15:01 git Note Added: 0051706
2016-03-16 15:02 mkv Note Added: 0051707
2016-03-16 15:02 mkv Assigned To mkv => bugmaster
2016-03-16 15:02 mkv Status reviewed => tested
2016-03-21 14:58 abv Changeset attached => occt master 45d8465e
2016-03-21 14:58 abv Assigned To bugmaster => abv
2016-03-21 14:58 abv Status tested => verified
2016-03-21 14:58 abv Resolution open => fixed
2016-04-17 13:40 git Note Added: 0052913
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker